<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../../config/Datos.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProducto.php");
$oProducto = new cProducto();
require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();
require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");
$oTipocambiotesoreria = new cTipocambiotesoreria();
$fecha = date('Y-m-d');
require_once ("../formatos/formato.php");
function responder($estado=false, $mensaje='', $datos=[])
{
	header('Content-type: application/json');
	echo json_encode([
		'est' => $estado,
		'msj' => $mensaje,
		'dat' => $datos,
	]);
	exit;
}
if($_POST['action']=='agregar')
{
	if($_POST['cat_can']!="")
	{
		$dts1=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
		$dt1 = mysqli_fetch_array($dts1);
		
		$pronom = $dt1['tb_producto_nom'];
		$ran = $dt1['tb_catalogo_ran'];
		$prevenmen = $dt1['tb_productomarca_preven'];
		$prevenmenf = $dt1['tb_productomarca_prevenf'];
		$preccos = $dt1['tb_productomarca_precos'];
		
		$rs = $oTipocambio->consultar($fecha);  
		$dt = mysqli_fetch_array($rs);
		$tipcam =  formato_money($dt['tb_tipocambio_dolsun']);
		
		$rstes = $oTipocambiotesoreria->consultar($fecha);  
		$dttes = mysqli_fetch_array($rstes);
		$tipcamtes =  formato_money($dttes['tb_tipocambiotesoreria_val']);
		/* $dtsprecio = $oProducto->ver_precio_mayor_producto($_POST['cat_id'],$_POST['mar_id']);
		$numrowpre = mysqli_num_rows($dtsprecio);
		
		$i = 1;
		//echo $_POST['cat_id'].'::'.$_POST['mar_id'].' | ';
		$premay = 0;
		while($dtpre = mysqli_fetch_array($dtsprecio)){
			
			//echo $dtpre['PREMAY'].'--';
			
			if($dtpre['tb_moneda_id']==1){
				$premay = $dtpre['PREMAY'];
			}else if($dtpre['tb_moneda_id']==2){
				$premay = $dtpre['PREMAY']*$tipcamtes;				
			}
			$_SESSION['pre'.$i] = $premay;
					
		//echo $_SESSION['pre1'];
		//echo '-';
		//echo $_SESSION['pre2'];
		
		}
		 */
		
		
		
		/* if($_SESSION['pre1']>$_SESSION['pre2']){
				$precio = $_SESSION['pre1'];		
		}else if($_SESSION['pre2']>$_SESSION['pre1']){
				$precio = $_SESSION['pre2'];
		} */
		
		//echo '| '.$precio;
			
		/* //echo $precio.'-';
		
		if($numrowpre>0){
			
		$ranmon = ($precio * $ran)/100;
		$premin = $precio + $ranmon ;
		$pre_5 = ($premin * 5)/100;
		$presug = $premin + $pre_5 ;	
			
		}else{
		$premin = 0;
		$presug = 0;
		
		} */
		
		
		//$precven = $dt1['tb_productomarca_preven'];
		
		
		$_POST['cat_can'] = strtoupper($_POST['cat_can']);
		//echo $_POST['cat_can'];
		
			$can1 = $_POST['cat_can'];
			$pos = strpos($can1, 'F');
			
			if($pos===false){
			
			$can  = $can1 * $emp_fac;
			//$_POST['cat_preven'] = $prevenmen;
			
			if($_POST['cat_preven']!=""){
			
			}else{
				$_POST['cat_preven'] = $prevenmen;
			}
		
			
			}else{
				
				
			if($_POST['cat_preven']!=""){
			
			}else{
				$_POST['cat_preven'] = $prevenmenf;
			}
			
			$cane = 0;
			$canf = 0;
			list($cane,$canf) = explode('F',$can1);
			//echo $cane.'--'.$canf;
			$can2 = 0;
			if($cane>0){
				$can2 = $cane*$emp_fac;
			}
				$can = $can2 + $canf;
				
			}
		
		
		
		
		
		//echo $_POST['cat_preven'];
		
		if($_POST['cat_preven']==""){
			
		if($_POST['mon'] == 1){
			$preven = $preccos ;
			$preven1 = $precven;
			$msjmon = ' SOLES';
		}else{
			$preven = $preccos / $tipcam;
			$preven1 = ($precven / $tipcam);
			$msjmon = ' DOLARES';
		}
		
		}else{
			
		if($_POST['mon'] == 1){
			$preven = $preccos  ;
			$preven1 = $_POST['cat_preven'];
			$msjmon = ' SOLES';
		}else{
			$preven = $preccos / $tipcam;
			$preven1 = $_POST['cat_preven'] ;// $tipcamtes;
			$msjmon = ' DOLARES';
		}
			
			
		}
		
	
		
			//echo $preven1.' - '.$preven;
			
			/* if(moneda_mysql($preven1)< moneda_mysql($preven)){
				$_SESSION['consumopagar_preven'][$_POST['cat_id'].$_POST['mar_id']]= moneda_mysql($preven /1.18);	
				responder(false, 'EL PRODUCTO '.$pronom.' NO SE PUEDE VENDER A MENOS DE '.formato_money($preven).$msjmon , ['tipo' => 'preven']);
				
			}else{
				
						
			} */
			$_SESSION['consumopagar_preven'][$_POST['cat_id'].$_POST['mar_id']]= moneda_mysql($preven1/1.18);		
			
		/* if($numrowpre>0){
		}else{
			
			$_SESSION['consumopagar_preven'][$_POST['cat_id'].$_POST['mar_id']]= moneda_mysql($preven1/1.18);
			
		} */
		
		
		$_SESSION['consumopagar_catid'][$_POST['cat_id'].$_POST['mar_id']]= $_POST['cat_id'];		
		$_SESSION['consumopagar_marid'][$_POST['cat_id'].$_POST['mar_id']]= $_POST['mar_id'];
		
		$_SESSION['consumopagar_can'][$_POST['cat_id'].$_POST['mar_id']]= $_POST['cat_can'];
		
		
		if($_POST['cat_des']==""){
			$des = 0;
		}else{
			$des = $_POST['cat_des'];
		}
		$_SESSION['consumopagar_des'][$_POST['cat_id'].$_POST['mar_id']] = moneda_mysql($des);
		
		unset($_SESSION['pre1']);
		unset($_SESSION['pre2']);
		
		responder(true, 'Agregado', ['tipo' => 'agregado']);
	}
	else
	{
		responder(false, 'Ingrese cantidad.', ['tipo' => 'cat_can']);
	}
}
if($_POST['action']=='quitar')
{
	
	unset($_SESSION['consumopagar_catid'][$_POST['cat_id']]);
	unset($_SESSION['consumopagar_marid'][$_POST['cat_id']]);
	unset($_SESSION['consumopagar_des'][$_POST['cat_id']]);
	unset($_SESSION['consumopagar_can'][$_POST['cat_id']]);
	unset($_SESSION['consumopagar_preven'][$_POST['cat_id']]);
	responder(true, '', ['tipo' => 'foco']);
}
if($_POST['action']=='restablecer')
{
	unset($_SESSION['consumopagar_catid']);
	unset($_SESSION['consumopagar_marid']);
	unset($_SESSION['consumopagar_des']);
	unset($_SESSION['consumopagar_can']);
	unset($_SESSION['consumopagar_preven']);
	
	responder(true, '');
}
if($_POST['action']=='vaciar')
{
	unset($_SESSION['consumopagar_catid']);
	unset($_SESSION['consumopagar_marid']);
	unset($_SESSION['consumopagar_des']);
	unset($_SESSION['consumopagar_can']);
	unset($_SESSION['consumopagar_preven']);
	
	responder(true, '', ['tipo' => 'foco']);
}
?>